Weathermaster:
P_45. The Sunshine of Spring
Actualized by temporarily raising a sun-like fire by outputting the energy produced from the heated Pa'agrio's fire through the Weathermaster.
Outputting is currently halted due to a safety device error.
The energy input for Pa'agrio's fire is currently halted. Forced energy output impossible. Waiting for natural release.
No activated project. Do you wish to return to the menu?
Return